LibreOffice LibreOffice 25.2 SDK API Reference

List of all members
LokClipboard Service Reference

This service provides access to the clipboard dedicated for current view. More...

`import"LokClipboard.idl";`

Inheritance diagram for LokClipboard:

## Additional Inherited Members
Exported Interfaces inherited from XSystemClipboard
interface | XClipboardEx
| Provides access to the clipboard content. More...
interface | XClipboardNotifier
| Provides the ability to request notifications on content changes. More...
interface | XFlushableClipboard
| Provides the ability to render the complete clipboard content. More...
interface | com::sun::star::lang::XComponent
| For shutdown and listener support. More...
Public Member Functions inherited from XClipboardEx
byte | getRenderingCapabilities ()
| To determine the supported rendering capabilities of the clipboard instance. More...
Public Member Functions inherited from XClipboard
com::sun::star::datatransfer::XTransferable | getContents ()
| To get the current content of the clipboard. More...
void | setContents ([in] com::sun::star::datatransfer::XTransferable xTrans, [in] XClipboardOwner xClipboardOwner)
| Sets the current contents of the clipboard to the specified transferable object and registers the specified clipboard owner as the owner of the new contents. More...
string | getName ()
| To get the name of the clipboard instance. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XClipboardNotifier
void | addClipboardListener ([in] XClipboardListener listener)
| Requests notifications on clipboard content changes. More...
void | removeClipboardListener ([in] XClipboardListener listener)
| Removes listener from notification list. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Protected Member Functions inherited from XFlushableClipboard
void | flushClipboard ()
| Renders the current content of the clipboard to the system so that it is available even if the source application no longer exist. More...
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...

## Detailed Description

This service provides access to the clipboard dedicated for current view.

The documentation for this service was generated from the following file:

- com/sun/star/datatransfer/clipboard/LokClipboard.idl